<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetProgressPos Method (IEdmCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCallback Interface : SetProgressPos Method (IEdmCallback)

Visual Basic
C#
C++/CLI

lPos
  Current position in the progress bar

Sets the current position in the progress bar.

# Syntax

Visual Basic |
--- | ---

    Sub SetProgressPos( _
       ByVal lPos As System.Integer _
    )

C# |
--- | ---

    void SetProgressPos(
       System.int lPos
    )

C++/CLI |
--- | ---

    void SetProgressPos(
    &   System.int lPos
    )

#### Parameters

lPos
  Current position in the progress bar

# Example

See the IEdmCallback examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_CANCELLED_BY_USER: Cancel the operation.

# See Also

####

IEdmCallback Interface
IEdmCallback Members
IEdmCallback::SetProgressRange Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2